Name:           office-runner
Version:        1.0.1
Release:        2%{?dist}
Summary:        Office game for laptop owners

License:        GPLv3
URL:            http://www.hadess.net/2011/09/omg-i-haz-designed-bug-fix.html
Source0:        http://ftp.gnome.org/pub/GNOME/sources/office-runner/1.0/office-runner-%{version}.tar.xz

BuildRequires:  intltool
BuildRequires:  gtk3-devel
BuildRequires:  gnome-settings-daemon-devel
BuildRequires:  desktop-file-utils

%description
This program is dedicated to office workers who want not to suspend their laptop
when moving between rooms meeting. office-runner inhibits suspend for 10 minutes 
when closing the lid and record their time when moving between meeting rooms.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install
desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/office-runner.desktop
%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING NEWS
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/office-runner.desktop
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Sat Aug 24 2013 Baptiste Mille-Mathias <baptistem@gnome.org> - 1.0.1-2
- Update call to update icon cache to match the one provided in 
  http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Remove useless call to update-mime-database
- Use macro %{buildroot} consistently

* Sun Aug 18 2013 Baptiste Mille-Mathias <baptistem@gnome.org> - 1.0.1-1
- Initial version
